import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _FSMutableFileDataBuffer extends _NSObject {
    static alloc(): _FSMutableFileDataBuffer;
    static new(): _FSMutableFileDataBuffer;
    init(): _FSMutableFileDataBuffer;
    /** The byte data. */
    mutableBytes(): NobjcObject;
    /** The data length of the buffer. */
    length(): number;
}
